import { Datasource } from '../datasource';
import type { GetReleasesConfig, ReleaseResult } from '../types';
export declare function resetCache(): void;
export declare class VersionsDatasource extends Datasource {
    readonly id: string;
    private registryUrl;
    private registryCache;
    constructor(id: string, registryUrl: string);
    getReleases({ packageName, }: GetReleasesConfig): Promise<ReleaseResult | null>;
    /**
     * https://bugs.chromium.org/p/v8/issues/detail?id=2869
     */
    private static copystr;
    updateRubyGemsVersions(): Promise<void>;
    private processLine;
    private isDataStale;
    private updateRubyGemsVersionsPromise;
    syncVersions(): Promise<void>;
}
